slepc-3.21.1 2024-04-26
Report Typos and Errors

# SVDSetProblemType

Specifies the type of the singular value problem.

### Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDSetProblemType(SVD svd,SVDProblemType type)

Logically Collective

### Input Parameters

| svd | - the singular value solver context
| type | - a known type of singular value problem

### Options Database Keys

| -svd_standard | - standard singular value decomposition (SVD)
| -svd_generalized | - generalized singular value problem (GSVD)
| -svd_hyperbolic | - hyperbolic singular value problem (HSVD)

### Notes

The GSVD requires that two matrices have been passed via SVDSetOperators(). The HSVD requires that a signature matrix has been passed via SVDSetSignature().

### See Also

SVDSetOperators(), SVDSetSignature(), SVDSetType(), SVDGetProblemType(), SVDProblemType

### Level

intermediate

### Location

src/svd/interface/svdopts.c

### Examples

src/svd/tutorials/ex15.c
src/svd/tutorials/ex15f.F90
src/svd/tutorials/ex45.c
src/svd/tutorials/ex48.c
src/svd/tutorials/ex51.c
src/svd/tutorials/ex52.c
src/svd/tutorials/ex53.c
src/svd/tutorials/cnetwork/embedgsvd.c
Index of all SVD routines
Table of Contents for all manual pages
Index of all manual pages